Skip to main content
PUT
/
api
/
v1
/
school
/
session-setup
/
{id}
Update session setup
curl --request PUT \
  --url https://api.example.com/api/v1/school/session-setup/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "session_type": "exam_session",
  "academic_session": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "exam_session": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "not_started",
  "current_step": -1
}
'
{
  "session_type": "exam_session",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "academic_session": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "exam_session": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "not_started",
  "current_step": -1,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this session setup.

Body

Auto-populate created_by from request.user when available.

session_type
enum<string>
required
  • exam_session - Exam Session
  • academic_session - Academic Session
Available options:
exam_session,
academic_session
academic_session
string<uuid> | null
exam_session
string<uuid> | null
status
enum<string>
  • not_started - Not Started
  • pending - Pending
  • completed - Completed
Available options:
not_started,
pending,
completed
current_step
integer
Required range: -2147483648 <= x <= 2147483647

Response

200 - application/json

Auto-populate created_by from request.user when available.

session_type
enum<string>
required
  • exam_session - Exam Session
  • academic_session - Academic Session
Available options:
exam_session,
academic_session
id
string<uuid>
academic_session
string<uuid> | null
exam_session
string<uuid> | null
status
enum<string>
  • not_started - Not Started
  • pending - Pending
  • completed - Completed
Available options:
not_started,
pending,
completed
current_step
integer
Required range: -2147483648 <= x <= 2147483647
created_at
string<date-time>
updated_at
string<date-time>